Bug 196809 - New port: devel/caf C++ Actor Framework
Summary: New port: devel/caf C++ Actor Framework
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-16 19:03 UTC by Matthias Vallentin
Modified: 2015-01-19 20:17 UTC (History)
1 user (show)

See Also:


Attachments
shar file (10.41 KB, application/x-shar)
2015-01-16 19:03 UTC, Matthias Vallentin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Vallentin 2015-01-16 19:03:47 UTC
Created attachment 151748 [details]
shar file

An Open Source Implementation of the Actor Model in C++.

Actors in CAF are lightweight, consist of only a few hundred bytes, and
are cooperatively managed by a state-of-the-art, work-stealing
scheduler. You can spawn millions of actors if you want to.

CAF offers a network-transparent message passing. Actors can talk to
each other, no matter where they've been spawned. You do the hard part
of implementing your app, CAF takes care of the low-level side of
things. CAF allows you to transparently connect actors running on
different machines and OSes via the network. It integrates multiple
computing devices such as multi-core CPUs, GPGPUs, and even embedded
hardware.

WWW: http://www.actor-framework.org
Comment 1 Vanilla I. Shu freebsd_committer 2015-01-17 15:38:44 UTC
how about devel/actor-framework ?

I added 1 weeks ago.
Comment 2 Matthias Vallentin 2015-01-17 19:39:18 UTC
Duh, I didn't see that one. It certainly doesn't make sense to have two versions of the port.

We generally prefer the short acronym CAF to actor-framework when referring to the project. How about renaming the existing port from actor-framework to CAF, and adding the new extra options from the Makefile I attached?
Comment 3 Vanilla I. Shu freebsd_committer 2015-01-18 03:04:09 UTC
Sure, I can handle it.

But, first question, which os version you used to compile caf? on my testing, caf build success on 11-current with clang3.5.

second question, do you want maintainer bit?
Comment 4 Matthias Vallentin 2015-01-18 16:51:33 UTC
(In reply to Vanilla I. Shu from comment #3)

I've tested CAF successfully on 10.1-RELEASE (x86_64) which comes with Clang 3.4.1. When developing, I also use Clang 3.5. We successfully built CAF with Clang 3.2 in the past as well, but haven't test it on on FreeBSD.

If you're keen maintaining the package and making sure it'll stay up to date, please go ahead. Otherwise I'm happy to maintain the package, as I'm a project collaborator.
Comment 5 Vanilla I. Shu freebsd_committer 2015-01-19 15:04:37 UTC
I already merged your part, please help to check,

thanks.
Comment 6 commit-hook freebsd_committer 2015-01-19 15:08:13 UTC
A commit references this bug:

Author: vanilla
Date: Mon Jan 19 15:07:57 UTC 2015
New revision: 377439
URL: https://svnweb.freebsd.org/changeset/ports/377439

Log:
  1: move actor-framework to caf.
  2: pass maintainer bit to submitter.
  3: add some options.

  PR:		196809
  Submitted by:	Matthias Vallentin <vallentin at icir.org>

Changes:
  head/devel/Makefile
  head/devel/actor-framework/
  head/devel/caf/
  head/devel/caf/Makefile
  head/devel/caf/pkg-descr
Comment 7 Matthias Vallentin 2015-01-19 20:17:37 UTC
(In reply to commit-hook from comment #6)

I looked over the changes and they look great. Thanks for taking care of this!